libnvme(2)

NAME
enum nvme_nvm_id_ns_pif - This field indicates the type of the Protection Information Format

SYNOPSIS
enum nvme_nvm_id_ns_pif {
NVME_NVM_PIF_16B_GUARD ,
NVME_NVM_PIF_32B_GUARD ,
NVME_NVM_PIF_64B_GUARD ,
NVME_NVM_PIF_QTYPE

};

Constants

NVME_NVM_PIF_16B_GUARD
    16-bit Guard Protection Information Format

NVME_NVM_PIF_32B_GUARD
    32-bit Guard Protection Information Format

NVME_NVM_PIF_64B_GUARD
    64-bit Guard Protection Information Format

NVME_NVM_PIF_QTYPE
    If Qualified Protection Information Format Supports and Protection Information Format is set to 3, then protection information format is taken from Qualified Protection Information Format field.